function AddFavorite(sURL, sTitle) {
try {
 window.external.addFavorite(sURL, sTitle);
 } catch (e) {
 try {
window.sidebar.addPanel(sTitle, sURL, "");
 } catch (e) {
 alert("加入收藏失败,请手动添加.");
 }
 }
}
function setHomepage(pageURL) {
 if (document.all) {
 document.body.style.behavior='url(#default#homepage)';
 document.body.setHomePage(pageURL);
 }
 else if (window.sidebar) {
 if(window.netscape) {
 try {
 netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect");
 }
 catch (e) {
 alert( "该操作被浏览器拒绝，如果想启用该功能，请在地址栏内输入 about:config,然后将项signed.applets.codebase_principal_support 值该为true" );
 }
 }
 var prefs = Components.classes['@mozilla.org/preferences-service;1'].getService(Components. interfaces.nsIPrefBranch);
 prefs.setCharPref('browser.startup.homepage',pageURL);
 }
} 
function refreshimg(){document.all.checkcode.src='../Inc/CheckCode.asp?'+Math.random();}